Vulnerability & Exploit Database

Back to search

WordPress Pixabay Images PHP Code Upload

This module exploits multiple vulnerabilities in the WordPress plugin Pixabay Images 2.3.6. The plugin does not check the host of a provided download URL which can be used to store and execute malicious PHP code on the system.

Free Metasploit Download

Get your copy of the world's leading penetration testing tool

 Download Now

Module Name

exploit/unix/webapp/wp_pixabay_images_upload

Authors

  • h0ng10

References

Targets

  • pixabay-images 2.3

Platforms

  • php

Architectures

  • php

Reliability

Development

Module Options

To display the available options, load the module within the Metasploit console and run the commands 'show options' or 'show advanced':

msf > use exploit/unix/webapp/wp_pixabay_images_upload msf exploit(wp_pixabay_images_upload) > show targets ...targets... msf exploit(wp_pixabay_images_upload) > set TARGET <target-id> msf exploit(wp_pixabay_images_upload) > show options ...show and set options... msf exploit(wp_pixabay_images_upload) > exploit